Subject: bug#14672: QT port for ARM within guile

From: [email-masked]
Date: Fri, 21 Jun 2013 02:13:49 -0400 (EDT)

QT stands for QuickThreads, and in some cases is a massive speedimprovement. There was a technical paper on this back in the 94 called "Toolsand Techniques for Building Fast Portable Thread Packages".
On an x86-architecture this speeds up SystemC by a factor of 40 (LinuxUbuntu). And I believe it will increase the arm speed by at least 500% for myuse case. Since the content switch isn’t that big for the arm having lessregisters to save compared to the x86. 
So QT should always be considered if available, but somehow it seems to passinto oblivion. 
Cheers
eactor

-----Original Message-----
From: Noah Lavine <[email-masked]>
To: eactors <[email-masked]>
Cc: 14672 <[email-masked]>
Sent: Thu, Jun 20, 2013 11:25 pm
Subject: Re: bug#14672: QT port for ARM within guile

Hello,

Excuse my ignorance, but what is a "QT"? I can tell you're not referring to the widget toolkit.

Also, I believe Guile uses pthreads on most platforms, so if you're running Linux on ARM (which is the common case on ARM nowadays, I think), you should have threads. Unless you want userspace threads.

Best,
Noah

On Thu, Jun 20, 2013 at 12:07 AM,  <[email-masked]> wrote:

Hello,
I founda quick thread implementation for ARM within the guile svn: (http://git.savannah.gnu.org/gitweb/?p=guile.git;a=tree;f=qt;h=c98346f9299df235964738dbf4b87da9806c9f52;hb=72e4a3b1df86fdfca752221716c3e3f5573ff6a5

Hope you can help me with this. Do youknow what the status of this port was? Did it work? I would like to add a QTfor ARM into the SystemC Open Source Project and I’m looking for a goodstarting point.
 
ManyThanks in advance 
eactor